package matrices;

public class MathUtil {
    private MathUtil() {
    }

    /**
     * funkcja zaokrągla podaną liczbę do określonej liczby miejsc po przecinku
     *
     * @param num double - liczba do zaokrąglenia
     * @param dec int - liczba miejsc po przecinku;
     * @return double - zwraca zaokrągloną liczbę
     */
    public static double roundToDecimal(double num, int dec) {
        int multi = (int) Math.pow(10, dec);
        int temp = (int) Math.round(num * multi);
        return (double) temp / multi;
    }

    /**
     * Funkcja zamieniająca radiany na stopnie. Może być zastąpiona
     * przez {@link java.lang.Math#toDegrees(double)}
     *
     * @param rad double - kąt w radianach
     * @return double - kąt w stopniach
     */
    public static double radToDeg(double rad) {
        return rad * 180.0 / Math.PI;
    }


    /**
     * jak funkcja Javy, ale przyjmuje kąt w stopniach
     */
    public static double sinDeg(double angleDeg) {
        return Math.sin(angleDeg * Math.PI / 180);
    }

    public static int randomInRange(int min, int max) {
        int random = -1;
        if (min > max) {
            System.out.println("pierwsza liczba musi byc mniejsza od drugiej");
        } else {
            random = (int) (Math.floor(Math.random() * (max - min + 1)) + min);
        }
        return random;
    }
}
